Skip to main content
GET
List messages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

API Key for authentication

BU-Connection-ID
string
required

Connection ID for the integration

BU-Max-Retries
string | null
default:3

Maximum number of retries for the request

Path Parameters

channel_id
string
required

Channel ID

Query Parameters

include_raw
enum<string> | null
default:false

Whether to include raw response from the provider

Available options:
true,
false
params
string

Optional passthrough parameter

Example:

"{\"team_id\":\"12345\"}"

limit
number
default:100

Number of messages to return

Required range: 1 <= x <= 100
after
string

Cursor for pagination

Response

Successful Response For messages

response
object
required